Bug 60472 - [New Port] devel/doxymacs Doxymacs is Doxygen + {X}Emacs
Summary: [New Port] devel/doxymacs Doxymacs is Doxygen + {X}Emacs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-21 16:10 UTC by Dryice Liu
Modified: 2005-11-10 22:22 UTC (History)
1 user (show)

See Also:


Attachments
doxymacs.shar (2.61 KB, text/plain)
2003-12-21 16:10 UTC, Dryice Liu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dryice Liu 2003-12-21 16:10:18 UTC
	Following is the shar file for Doxymacs, which will make writing/reading Doxygen commented code easier.
	Please anyone takes this port also take ports/60185: [New Port] www/w3-emacs21 (http://www.freebsd.org/cgi/query-pr.cgi?pr=60185). This port depends on that one.

How-To-Repeat: 	N/A
Comment 1 bremner 2004-06-24 20:57:54 UTC
I wanted to install this (as yet uncommitted) port for xemacs. To do
so I had to modify it a bit to take account of EMACS_PORT_NAME.

Since there is no port to diff against, I will follow dryice in
resubmitting a shar file. 

I will also append a small shar file of the slave port 
devel/doxymacs-xemacs21-mule. I can resubmit as a separate PR if some
wants. There is one question mark in the comment; this is because the
installation of w3 is done in a dependancy of xemacs21-mule, rather
than the port itself.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	doxymacs
#	doxymacs/Makefile
#	doxymacs/distinfo
#	doxymacs/pkg-plist
#	doxymacs/pkg-descr
#
echo c - doxymacs
mkdir -p doxymacs > /dev/null 2>&1
echo x - doxymacs/Makefile
sed 's/^X//' >doxymacs/Makefile << 'END-of-doxymacs/Makefile'
X# Ports collection makefile for:	w3 on Emacs21
X# Date created:				21 December 2003
X# Whom:					Dryice Liu <dryice@liu.com.cn>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	doxymacs
XPORTVERSION=	1.5.0
XCATEGORIES+=	devel elisp
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XPKGNAMESUFFIX=  -${EMACS_PORT_NAME}
X
XMASTER_SITE_SUBDIR=	${PORTNAME}
X
XMAINTAINER=	dryice@liu.com.cn
XCOMMENT=	Doxymacs is Doxygen + {X}Emacs
X
XW3_DEPENDS?=	${LOCALBASE}/${EMACS_VERSION_SITE_LISPDIR}/w3/w3.el:${PORTSDIR}/www/w3-emacs21 
XBUILD_DEPENDS=		${W3_DEPENDS}
XRUN_DEPENDS=		${BUILD_DEPENDS} doxygen:${PORTSDIR}/devel/doxygen
X# maybe add w3 back?
X
XEMACS_PORT_NAME?=	emacs21
XUSE_GNOME=		libxml2
XCONFIGURE_ENV?=		EMACS=${EMACS_NAME}
XCONFIGURE_ARGS?=	--with-lispdir=${PREFIX}/${EMACS_SITE_LISPDIR} \
X			--program-suffix="-${EMACS_PORT_NAME}"
XPLIST_SUB+=		EMACS_PORT_NAME=${EMACS_PORT_NAME}
XGNU_CONFIGURE=		yes
XUSE_REINPLACE=		yes
X
X
X.include <bsd.port.pre.mk>
Xpre-configure:
X	@${REINPLACE_CMD} 's/@DOXYMACS_PARSER@/@DOXYMACS_PARSER@-${EMACS_PORT_NAME}/' ${WRKSRC}/lisp/doxymacs.el.in
X
X.include <bsd.port.post.mk>
X
X
END-of-doxymacs/Makefile
echo x - doxymacs/distinfo
sed 's/^X//' >doxymacs/distinfo << 'END-of-doxymacs/distinfo'
XMD5 (doxymacs-1.5.0.tar.gz) = 30d07e61acf1c94168e2313985eae1e2
END-of-doxymacs/distinfo
echo x - doxymacs/pkg-plist
sed 's/^X//' >doxymacs/pkg-plist << 'END-of-doxymacs/pkg-plist'
Xbin/doxymacs_parser-%%EMACS_PORT_NAME%%
X%%EMACS_SITE_LISPDIR%%/doxymacs.el
X%%EMACS_SITE_LISPDIR%%/doxymacs.elc
X%%EMACS_SITE_LISPDIR%%/xml-parse.el
X%%EMACS_SITE_LISPDIR%%/xml-parse.elc
END-of-doxymacs/pkg-plist
echo x - doxymacs/pkg-descr
sed 's/^X//' >doxymacs/pkg-descr << 'END-of-doxymacs/pkg-descr'
XDoxymacs is Doxygen + {X}Emacs.
X
XThe purpose of the doxymacs project is to create a LISP package that
Xwill make using Doxygen from within {X}Emacs easier.
X
XIt has the following features:
X
X    * ability to look up documentation for symbols from {X}Emacs in
X      the browser of your choice.
X    * easily insert Doxygen style comments into source.
X    * optionally use an "external" (i.e. written in C) XML parser to
X      speed up building the completion list.
X    * fontify Doxygen keywords.
X
XWWW: http://doxymacs.sourceforge.net/
END-of-doxymacs/pkg-descr
exit

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	doxymacs-xemacs21-mule
#	doxymacs-xemacs21-mule/Makefile
#
echo c - doxymacs-xemacs21-mule
mkdir -p doxymacs-xemacs21-mule > /dev/null 2>&1
echo x - doxymacs-xemacs21-mule/Makefile
sed 's/^X//' >doxymacs-xemacs21-mule/Makefile << 'END-of-doxymacs-xemacs21-mule/Makefile'
X# New ports collection makefile for:	Doxymacs (for xemacs21-mule)
X# Date created:		23 June 2004
X# Whom: 		
X#
X# $FreeBSD: ports/mail/wanderlust-xemacs21-mule/Makefile,v 1.14 2004/05/18 18:16:42 linimon Exp $
X#
X
XMASTERDIR=	${.CURDIR}/../../devel/doxymacs
X
XCOMMENT=	Doxymacs is Doxygen + {X}Emacs
X
XEMACS_PORT_NAME=	xemacs21-mule
X# w3 is part of base xemacs install?
XW3_DEPENDS=
X
X.include "${MASTERDIR}/Makefile"
END-of-doxymacs-xemacs21-mule/Makefile
exit
Comment 2 Sam Lawrance freebsd_committer 2005-09-01 08:39:36 UTC
State Changed
From-To: open->feedback

Hi, 

Are you still interested in seeing this port added the ports collection?  If so, could you please: 
- make sure that the shar you originally sent is up to date 
- set the port MAINTAINER is set to your email address (if not already done) 
- test the port to see that it still works correctly 

Thanks! 


Comment 3 Sam Lawrance freebsd_committer 2005-09-01 08:39:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Take
Comment 4 Sam Lawrance freebsd_committer 2005-11-10 22:22:22 UTC
State Changed
From-To: feedback->closed

Committed with the changes you approved.  Thanks!